Bug 184304 - Review Request: quadkonsole
Review Request: quadkonsole
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-07 17:05 EST by Simon Perreault
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 19:29:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Perreault 2006-03-07 17:05:42 EST
Spec Name or Url: http://nomis80.org/rpms/SPECS/quadkonsole.spec
SRPM Name or Url: http://nomis80.org/rpms/SRPMS/quadkonsole-2.0.1-1.src.rpm
Description: 
QuadKonsole is a program which embeds 4 Konsoles (other numbers can be specified
on the command-line). This way you save screen real estate, you don't have to
worry about careful placement and the startup time is faster than starting up 4
separate Konsoles.
Comment 1 Orion Poplawski 2006-03-07 18:22:26 EST
Needs work:

$ rpmlint quadkonsole-2.0.1-1.src.rpm
E: quadkonsole description-line-too-long QuadKonsole is a program which embeds 4
Konsoles (other numbers can be specified

reformat to less than 80 chars.

- .desktop file:

  - add "X-KDE-StartupNotify=true" to the .desktop file
 

Good:

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles in mock for devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime


APPROVED with above changes.
Comment 2 Simon Perreault 2006-03-07 19:04:04 EST
I think that's a bug in rpmlint as there is no line having a width of more  
than 80 characters. I think rpmlint is counting newline characters, which is a  
bug.  
  
About the "X-KDE-StartupNotify=true": I'll do it, thanks for noticing. 
Comment 3 Ville Skyttä 2006-03-08 02:17:44 EST
(In reply to comment #2)
> I think that's a bug in rpmlint as there is no line having a width of more  
> than 80 characters. I think rpmlint is counting newline characters, which is a  
> bug.

This is very much cosmetic, but rpmlint wants _less_ than 80 characters.  80 or
more cause annoying effects in (X)Emacs and possibly elsewhere.

Note You need to log in before you can comment on or make changes to this bug.